Bug 145291 - kernel oops
kernel oops
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-16 21:37 EST by Bill Nottingham
Modified: 2015-01-04 17:15 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-17 10:39:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2005-01-16 21:37:34 EST
Description of problem:

xenomorph kernel: general protection fault: 0000 [1]
xenomorph kernel: CPU 0
xenomorph kernel: Modules linked in: md5 ipv6 parport_pc lp parport
sunrpc ipt_REJECT ipt_state ip_conntrack iptable_filter ip_tables
dm_mod video button battery ac usb_storage ohci1394 ieee1394 uhci_hcd
ehci_hcd i2c_viapro i2c_core snd_via82xx snd_ac97_codec snd_pcm_oss
snd_mixer_oss snd_pcm snd_timer snd_page_alloc gameport
snd_mpu401_uart snd_rawmidi snd_seq_device snd soundcore via_rhine mii
floppy ext3 jbd raid1 sata_via libata sd_mod scsi_mod
xenomorph kernel: Pid: 3, comm: events/0 Not tainted 2.6.10-1.741_FC3
xenomorph kernel: RIP: 0010:[<ffffffff801671fa>]
<ffffffff801671fa>{free_block+86}
xenomorph kernel: RSP: 0018:0000010037eabe38  EFLAGS: 00010016
xenomorph kernel: RAX: 038000fc84800000 RBX: 000001003b5e77c0 RCX:
0000000100000001
xenomorph kernel: RDX: 0000010001000000 RSI: 0000010036ae7770 RDI:
000001003b5e77c0
xenomorph kernel: RBP: 0000000000000034 R08: ffffffff801684f3 R09:
00000100373af030
xenomorph kernel: R10: 0000000000000246 R11: 0000000000000202 R12:
0000010036ae7770
xenomorph kernel: R13: ffffffff804b9e80 R14: 0000000000000000 R15:
0000000000000000
xenomorph kernel: FS:  0000002a95563ea0(0000)
GS:ffffffff804f3600(0000) knlGS:00000000f7c9b6c0
xenomorph kernel: CS:  0010 DS: 0018 ES: 0018 CR0: 000000008005003b
xenomorph kernel: CR2: 0000002a95557000 CR3: 0000000000101000 CR4:
00000000000006e0
xenomorph kernel: Process events/0 (pid: 3, threadinfo
0000010037eaa000, task 0000010037e867e0)
xenomorph kernel: Stack: 0000010036ae7770 0000000000000034
0000010036ae7760 ffffffff8016730b
xenomorph kernel:        000001003b5e77c0 000001003b5e78a0
0000000000000001 ffffffff801685f1
xenomorph kernel:        0000000000000001 000001003bfe2600
xenomorph kernel: Call Trace:<ffffffff8016730b>{drain_array_locked+99}
<ffffffff801685f1>{cache_reap+254}
xenomorph kernel:        <ffffffff80149583>{worker_thread+0}
<ffffffff801497ae>{worker_thread+555}
xenomorph kernel:        <ffffffff8012fc7d>{default_wake_function+0}
<ffffffff8012fc7d>{default_wake_function+0}
xenomorph kernel:        <ffffffff8014ef4b>{kthread+188}
<ffffffff8010f29f>{child_rip+8}
xenomorph kernel:        <ffffffff8014ee8f>{kthread+0}
<ffffffff8010f297>{child_rip+0}
xenomorph kernel:
xenomorph kernel:
xenomorph kernel: Code: 48 8b 70 30 48 8b 56 08 48 8b 06 48 89 50 08
48 89 02 48 2b
xenomorph kernel: RIP <ffffffff801671fa>{free_block+86} RSP
<0000010037eabe38>

Version-Release number of selected component (if applicable):

2.6.10-1.741_FC3

How reproducible:

Dunno, it just happened.

Steps to Reproduce:
1. walk over to the computer
2. look at the console
  
Actual results:

Hey, it oopsed!

Additional info:

Machine was idle at the time.
Comment 1 Bill Nottingham 2005-01-17 16:43:04 EST
FWIW, I saw this oops (or what appeared to be the same oops) on
2.6.9-1.667 (x86-64) as well.
Comment 2 Brendan Miller 2005-02-17 01:28:06 EST
I used to see this every day with 2.6.9-1.667 and 2.6.9-1.724, but
have been running the 2.6.10s recently as they fix some of my SATA
issues, and also seem to be more oops-free...  "Upgraded" to
2.6.10-1.766_FC3 yesterday (from -1.760) to see if it would fix some
of the USB issues with my card reader, and this morning at 8am, it
oopsed just like old times--much as Bill reported.  Wasn't doing
anything--not even at the computer.  Yes, some processes are always
running, but the machine was basically idle.  Here's the dump:

Feb 16 08:06:34 ideq kernel: Unable to handle kernel paging request at
00000108051eebcf RIP:
Feb 16 08:06:34 ideq kernel: <ffffffff802102ee>{memmove+58}
Feb 16 08:06:34 ideq kernel: PML4 8063 PGD 0
Feb 16 08:06:34 ideq kernel: Oops: 0000 [1]
Feb 16 08:06:34 ideq kernel: CPU 0                                   
          Feb 16 08:06:34 ideq kernel: Modules linked in: nfs lockd
parport_pc lp parport autofs4 it87 i2c_sensor i2c_isa i2c_dev i2c_core
sunrpc pcmcia yenta_socket pcmcia_core ipt_REJECT ipt_state
ip_conntrack iptable_filter ip_tables dm_mod video button battery ac
md5 ipv6 joydev usb_storage ohci1394 ieee1394 ohci_hcd ehci_hcd
snd_intel8x0 snd_ac97_codec snd_pcm_oss snd_mixer_oss snd_pcm
snd_timer snd soundcore snd_page_alloc forcedeth floppy ext3 jbd
sata_nv libata sd_mod scsi_mod
Feb 16 08:06:34 ideq kernel: Pid: 3, comm: events/0 Not tainted
2.6.10-1.766_FC3
Feb 16 08:06:34 ideq kernel: RIP: 0010:[<ffffffff802102ee>]
<ffffffff802102ee>{memmove+58}
Feb 16 08:06:34 ideq kernel: RSP: 0018:0000010037e1be70  EFLAGS:
00010017       Feb 16 08:06:34 ideq kernel: RAX: 0000000000000000 RBX:
0000010036aece80 RCX: 00000108051eebcf                               
                                  Feb 16 08:06:34 ideq kernel: RDX:
00000007cbe7fc5f RSI: 000001003936ef70 RDI: 00000108051eebcf         
                                                        Feb 16
08:06:34 ideq kernel: RBP: 0000010036aecf60 R08: 000001003936ef70 R09:
ffffffff804949e8                                                     
            Feb 16 08:06:34 ideq kernel: R10: 7fffffffffffffff R11:
ffffffff8034570b R12: 0000000000000002                               
                                  Feb 16 08:06:34 ideq kernel: R13:
ffffffff804c6220 R14: 0000000000000000 R15: 0000000000000000         
                                                        Feb 16
08:06:34 ideq kernel: FS:  0000002a95582fe0(0000)
GS:ffffffff804ff980(0000) knlGS:00000000f1931bb0
Feb 16 08:06:34 ideq kernel: CS:  0010 DS: 0018 ES: 0018 CR0:
000000008005003b  Feb 16 08:06:34 ideq kernel: CR2: 00000108051eebcf
CR3: 0000000000101000 CR4: 00000000000006e0                          
                                       Feb 16 08:06:34 ideq kernel:
Process events/0 (pid: 3, threadinfo 0000010037e1a000, task
000001003feec7f0)                                                    
 Feb 16 08:06:34 ideq kernel: Stack: ffffffff8016ac24 0000000000000001
000001003ffe2600 ffffffff8014a97c                                    
                    Feb 16 08:06:34 ideq kernel:       
000001003ffb1d28 00000000fffffffc ffffffff8014abbb 0000000000000282 
Feb 16 08:06:34 ideq kernel:        ffffffffffffffff 0000000000000001
          Feb 16 08:06:34 ideq kernel: Call
Trace:<ffffffff8016ac24>{cache_reap+264}
<ffffffff8014a97c>{worker_thread+0}                                  
               Feb 16 08:06:34 ideq kernel:       
<ffffffff8014abbb>{worker_thread+575}
<ffffffff801300f5>{default_wake_function+0}                          
                Feb 16 08:06:34 ideq kernel:       
<ffffffff801300f5>{default_wake_function+0}
<ffffffff8015077b>{kthread+188}                                      
          Feb 16 08:06:34 ideq kernel:       
<ffffffff8010f303>{child_rip+8} <ffffffff801506bf>{kthread+0} 
Feb 16 08:06:34 ideq kernel:        <ffffffff8010f2fb>{child_rip+0}
Feb 16 08:06:34 ideq kernel:                                         
          Feb 16 08:06:34 ideq kernel: Code: 0f b6 01 88 07 eb ea 4c
89 c0 c3 90 90 90 90 90 90 90 49 89                                  
                               Feb 16 08:06:34 ideq kernel: RIP
<ffffffff802102ee>{memmove+58} RSP <0000010037e1be70> 
Feb 16 08:06:34 ideq kernel: CR2: 00000108051eebcf

Machine is also an x86_64.  Any clues?
Comment 3 Bill Nottingham 2005-05-17 10:39:48 EDT
I'm closing this; in my case it was an interaction with cpufreq.

Note You need to log in before you can comment on or make changes to this bug.